<template>
    <div class="manager-list_wrapper">
        <div class="manager-list_title">
            <h3>Сотрудники компании</h3>
        </div>
        <div class='manager-list'>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <td>#</td>
                        <td>Ф.И.О сотрудника</td>
                        <td>должность</td>
                        <td>Уровень доступа в CRM</td>
                        <td>Дата трудоустройства</td>
                        <td>Заработная плата</td>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="manager in managers" :key="manager.id">
                        <td>{{ manager.id }}</td>
                        <td>{{ manager.managerName }}</td>
                        <td>{{ manager.position }}</td>
                        <td>{{ manager.accessLevel }}</td>
                        <td>{{ manager.employmentDate }}</td>
                        <td>{{ manager.wage }} руб. </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class='manager-list_control'>
            <button class='btn btn-primary' v-on:click="callNewManagerForm">Добавление сотрудника</button>
        </div>
    </div> 
</template>
<script>
export default {
    name: 'Managers',
    data: function() {
        return {
            managers: [
                {
                    id: 1,
                    managerName: 'Сиротенко Сергей Сергеевич',
                    position: 'системный администратор',
                    accessLevel: 1,
                    employmentDate: new Date(),
                    wage: 25000
                }
            ]
        }
    }
}
</script>